Bug 875725 - NULL instead of a descriptive error message on engine.log when failing to run a VM (java.lang.reflect.InvocationTargetException, XmlRpcExtensionException: Null values aren't supported, if isEnabledForExtensions() == false)
NULL instead of a descriptive error message on engine.log when failing to run...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Roy Golan
Tareq Alayan
virt
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-12 08:25 EST by Tareq Alayan
Modified: 2013-06-11 05:39 EDT (History)
11 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 05:13:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
en (435.46 KB, application/x-gzip)
2012-11-12 08:25 EST, Tareq Alayan
no flags Details

  None (edit)
Description Tareq Alayan 2012-11-12 08:25:12 EST
Description of problem:
NULL instead descriptive message in logs.

How reproducible:
Start a VM, and VM fails to start 
  
Actual results:
2012-11-12 15:09:22,026 ERROR [org.ovirt.engine.core.bll.RunVmCommand] (pool-4-thread-49) [603b2e9] Command org.ovirt.engine.core.bll.RunVmCommand throw Vdc Bll exception. With error message VdcBLLException: null

Expected results:
Descriptive message points what is the problem instead of NULL

Additional info:
Comment 1 Tareq Alayan 2012-11-12 08:25:54 EST
Created attachment 643532 [details]
en
Comment 2 Roy Golan 2012-11-26 10:04:04 EST
http://gerrit.ovirt.org/#/c/9479/
Comment 12 Roy Golan 2013-01-01 03:49:47 EST
can be reproduced using a null payload 

using REST create a payload for your VM

<vm>
<payloads>
 <payload type="floppy">
  <file name="fname">
   <content>test</content>
  </file>
 </payload>
</payloads> 
</vm>

update the payload to null in the db
 UPDATE vm_device  set spec_params = '{ "vmPayload":null }' where device_id = '{your VM ID}';

run the VM and the log will print out the exception
2012-12-31 17:19:48,223 ERROR [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (http--0.0.0.0-8080-4) [37f17a34] VDS::create Failed creating vm vm1 in vds = 15d28d74-1fcc-4b54-ac12-4c999167617a : pluto error = org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: org.apache.xmlrpc.common.XmlRpcExtensionException: Null values aren't supported, if isEnabledForExtensions() == false
2012-12-31 17:19:48,232 INFO  [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (http--0.0.0.0-8080-4) [37f17a34] FINISH, CreateVmVDSCommand, return: Down, log id: 50119652
2012-12-31 17:19:48,233 ERROR [org.ovirt.engine.core.bll.RunVmOnceCommand] (http--0.0.0.0-8080-4) [37f17a34] Command org.ovirt.engine.core.bll.RunVmOnceCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: org.apache.xmlrpc.common.XmlRpcExtensionException: Null values aren't supported, if isEnabledForExtensions() == false

and the full trace in DEBUG mode:

2012-12-31 17:19:48,234 DEBUG [org.ovirt.engine.core.bll.RunVmOnceCommand] (http--0.0.0.0-8080-4) [37f17a34] Command org.ovirt.engine.core.bll.RunVmOnceCommand throw Vdc Bll exception: org.ovirt.engine.core.common.errors.VdcBLLException: VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: org.apache.xmlrpc.common.XmlRpcExtensionException: Null values aren't supported, if isEnabledForExtensions() == false
        at org.ovirt.engine.core.bll.VdsHandler.handleVdsResult(VdsHandler.java:159) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.RunVdsCommand(VDSBrokerFrontendImpl.java:33) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.RunAsyncVdsCommand(VDSBrokerFrontendImpl.java:48) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.createVm(RunVmCommand.java:428) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.runVm(RunVmCommand.java:204) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.executeVmCommand(RunVmCommand.java:272) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.VmCommand.executeCommand(VmCommand.java:82) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:997) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1082) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1463) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:202) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:141) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:110) [engine-utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1100) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:302) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:358) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.RunAction(Backend.java:304) [engine-bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_09-icedtea]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_09-icedtea]
:
Comment 14 Tareq Alayan 2013-01-06 04:23:46 EST
verified
Comment 15 Tareq Alayan 2013-01-08 09:04:28 EST
verified.

2013-01-08 16:03:13,876 ERROR [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (pool-3-thread-48) [1d222806] VDS::create Failed creating vm vm-1 in vds = a5785fb8-84e3-41f0-b7ba-9398ba36a44d : monique-vds01 error = org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: org.apache.xmlrpc.common.XmlRpcExtensionException: Null values aren't supported, if isEnabledForExtensions() == false
2013-01-08 16:03:13,881 INFO  [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (pool-3-thread-48) [1d222806] FINISH, CreateVmVDSCommand, return: Down, log id: 4b73d0d0
2013-01-08 16:03:13,881 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (pool-3-thread-48) [1d222806] Lock freed to object EngineLock [exclusiveLocks= key: 8ee7b450-57ed-4ead-8dff-aa50942d80ea value: VM
, sharedLocks= ]
2013-01-08 16:03:13,881 ERROR [org.ovirt.engine.core.bll.RunVmCommand] (pool-3-thread-48) [1d222806] Command org.ovirt.engine.core.bll.RunVmCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: org.apache.xmlrpc.common.XmlRpcExtensionException: Null values aren't supported, if isEnabledForExtensions() == false
Comment 16 Itamar Heim 2013-06-11 05:13:35 EDT
3.2 has been released
Comment 17 Itamar Heim 2013-06-11 05:39:57 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.